Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_genMoore.cpp	(revision 138)
@@ -45,5 +45,5 @@
           ack [i][j] = false;
     
-      std::list<generic::priority::select_t> * select_reg = _priority_reg->select(); // same select for all issue
+      // std::list<generic::priority::select_t> * select_reg = _priority_reg->select(); // same select for all issue
       
       // issue_in interface
@@ -60,9 +60,12 @@
           
           // scan all bank
-          for (std::list<generic::priority::select_t>::iterator it=select_reg->begin();
-               it!=select_reg->end();
-               it++)
+          // for (std::list<generic::priority::select_t>::iterator it=select_reg->begin();
+          //      it!=select_reg->end();
+          //      it++)
+          for (uint32_t num_bank=0;
+               num_bank<_param->_nb_bank;
+               ++num_bank)
             {
-              uint32_t num_bank  = it->grp;
+              // uint32_t num_bank  = it->grp;
 
               log_printf(TRACE,Issue_queue,FUNCTION,"    * BANK [%d]",num_bank);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_transition.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_transition.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Issue_queue_function_out_of_order_transition.cpp	(revision 138)
@@ -28,5 +28,5 @@
 // 	_priority_in ->reset();
 	_priority_out->reset();
-	_priority_reg->reset();
+//      _priority_reg->reset();
 	
 	for (uint32_t i=0; i<_param->_nb_bank; i++)
@@ -37,5 +37,5 @@
 // 	_priority_in ->transition();
  	_priority_out->transition();
-	_priority_reg->transition();
+//	_priority_reg->transition();
 
 	// ===================================================================
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters_msg_error.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters_msg_error.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Issue_queue/src/Parameters_msg_error.cpp	(revision 138)
@@ -41,7 +41,7 @@
       }
 
-    if (// (_queue_scheme == ISSUE_QUEUE_SCHEME_IN_BUNDLE_ORDER) or
-        (_queue_scheme == ISSUE_QUEUE_SCHEME_OUT_OF_ORDER   ))
-      test.error(toString(_("Can have deadlock with the queue scheme \"%s\".\n"),toString(_queue_scheme).c_str()));
+    // if (// (_queue_scheme == ISSUE_QUEUE_SCHEME_IN_BUNDLE_ORDER) or
+    //     (_queue_scheme == ISSUE_QUEUE_SCHEME_OUT_OF_ORDER   ))
+    //   test.error(toString(_("Can have deadlock with the queue scheme \"%s\".\n"),toString(_queue_scheme).c_str()));
 
     if (not is_multiple(_size_queue, _nb_bank))
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Load_Store_pointer_unit_genMealy_insert.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Load_Store_pointer_unit_genMealy_insert.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Load_Store_pointer_unit/src/Load_Store_pointer_unit_genMealy_insert.cpp	(revision 138)
@@ -54,83 +54,90 @@
         log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"  * INSERT [%d]",i);
 
-	Tcontrol_t ack                   = false;
+	Tcontrol_t ack  = false;
+        bool       find = false;
 
-	if ((PORT_READ(in_INSERT_VAL  [i]) == true       ) and
-	    (PORT_READ(in_INSERT_TYPE [i]) == TYPE_MEMORY))
-	  {
-            log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * type is memory");
-
-	    Tcontext_t front_end_id = (_param->_have_port_front_end_id)?PORT_READ(in_INSERT_FRONT_END_ID [i]):0;
-	    Tcontext_t context_id   = (_param->_have_port_context_id  )?PORT_READ(in_INSERT_CONTEXT_ID   [i]):0;
-	    uint32_t   lsq          = _param->_link_load_store_unit_with_thread[front_end_id][context_id];
-
+	if (PORT_READ(in_INSERT_VAL [i]) == true)
+          {
+            Tcontext_t front_end_id = (_param->_have_port_front_end_id)?PORT_READ(in_INSERT_FRONT_END_ID [i]):0;
+            Tcontext_t context_id   = (_param->_have_port_context_id  )?PORT_READ(in_INSERT_CONTEXT_ID   [i]):0; 
+            uint32_t   lsq          = _param->_link_load_store_unit_with_thread[front_end_id][context_id];
+            
             log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * front_end_id : %d",front_end_id);
             log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * context_id   : %d",context_id  );
             log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * lsq          : %d",lsq         );
+            
+            PORT_WRITE(out_INSERT_STORE_QUEUE_PTR_WRITE [i], STORE_QUEUE_PTR_WRITE [lsq]);
+//          PORT_WRITE(out_INSERT_STORE_QUEUE_PTR_READ  [i], ((reg_STORE_QUEUE_PTR_READ  [front_end_id][context_id]+1)%_param->_size_load_queue[lsq]));
+            PORT_WRITE(out_INSERT_STORE_QUEUE_PTR_READ  [i], reg_STORE_QUEUE_PTR_READ  [front_end_id][context_id]);
+            PORT_WRITE(out_INSERT_STORE_QUEUE_EMPTY     [i], reg_STORE_QUEUE_EMPTY     [front_end_id][context_id]);
+            if (_param->_have_port_load_queue_ptr)
+            PORT_WRITE(out_INSERT_LOAD_QUEUE_PTR_WRITE  [i], LOAD_QUEUE_PTR_WRITE  [lsq]);
 
-	    // Test if a previous instruction use the same lsq
-	    // Authorize once memory access by load store unit
-	    if (nb_use_lsq [lsq] > 0)
-	      {
-		nb_use_lsq [lsq] --;
+            if (PORT_READ(in_INSERT_TYPE [i]) == TYPE_MEMORY)
+              {
+                log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * type is memory");
+               
+                find = true;
+                
+                // Test if a previous instruction use the same lsq
+                // Authorize once memory access by load store unit
+                if (nb_use_lsq [lsq] > 0)
+                  {
+                    nb_use_lsq [lsq] --;
+                    
+                    uint32_t   ptr;
+                    
+                    log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * sq_ptr_write : %d",STORE_QUEUE_PTR_WRITE [lsq]);
+                    log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * lq_ptr_write : %d",LOAD_QUEUE_PTR_WRITE [lsq]);
+                    
+                    // operation became of decod_stage. Also operation is != store_head_ok and store_head_ko
+                    if (is_operation_memory_store(PORT_READ(in_INSERT_OPERATION [i])))
+                      {
+                        log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * USE_STORE_QUEUE");
+                        
+                        internal_INSERT_OPERATION_USE [i] = OPERATION_USE_STORE_QUEUE;
+                        
+                        ptr = STORE_QUEUE_PTR_WRITE [lsq];
+                        ack = not STORE_QUEUE_USE [lsq][ptr] and (static_cast<uint32_t>(STORE_QUEUE_NB_USE [lsq]+1) < _param->_size_store_queue[lsq]);
+                        
+                        if (ack)
+                          {
+                            STORE_QUEUE_PTR_WRITE [lsq]      = (ptr+1)%_param->_size_store_queue[lsq];
+                            STORE_QUEUE_NB_USE    [lsq]      ++;
+                            STORE_QUEUE_USE       [lsq][ptr] = true;
+                          }
+                      }
+                    else
+                      {
+                        log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * USE_LOAD_QUEUE");
+                        
+                        internal_INSERT_OPERATION_USE [i] = OPERATION_USE_LOAD_QUEUE;
+                        
+                        ptr = LOAD_QUEUE_PTR_WRITE [lsq];
+                        ack = (not LOAD_QUEUE_USE [lsq][ptr]);
+                        
+                        if (ack)
+                          {
+                            LOAD_QUEUE_PTR_WRITE [lsq]      = (ptr+1)%_param->_size_load_queue[lsq];
+                            LOAD_QUEUE_USE       [lsq][ptr] = true;
+                          }
+                      }
+                    
+                    log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * ptr          : %d",ptr         );
+                    log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * ack          : %d",ack         );
+                    
+                    internal_INSERT_LSQ [i] = lsq;
+                    internal_INSERT_PTR [i] = ptr;
+                  }
+              }
+          }
 
-		uint32_t   ptr;
+        if (not find)
+          {
+            ack = true;
+            
+            internal_INSERT_OPERATION_USE [i] = OPERATION_USE_NONE;
+          }
 
-                PORT_WRITE(out_INSERT_STORE_QUEUE_PTR_WRITE [i],     STORE_QUEUE_PTR_WRITE [lsq]);
-//                 PORT_WRITE(out_INSERT_STORE_QUEUE_PTR_READ  [i], ((reg_STORE_QUEUE_PTR_READ  [front_end_id][context_id]+1)%_param->_size_load_queue[lsq]));
-                PORT_WRITE(out_INSERT_STORE_QUEUE_PTR_READ  [i], reg_STORE_QUEUE_PTR_READ  [front_end_id][context_id]);
-                PORT_WRITE(out_INSERT_STORE_QUEUE_EMPTY     [i], reg_STORE_QUEUE_EMPTY     [front_end_id][context_id]);
-                if (_param->_have_port_load_queue_ptr)
-                PORT_WRITE(out_INSERT_LOAD_QUEUE_PTR_WRITE  [i], LOAD_QUEUE_PTR_WRITE  [lsq]);
-
-                log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * sq_ptr_write : %d",STORE_QUEUE_PTR_WRITE [lsq]);
-                log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * lq_ptr_write : %d",LOAD_QUEUE_PTR_WRITE [lsq]);
-		
-		// operation became of decod_stage. Also operation is != store_head_ok and store_head_ko
-		if (is_operation_memory_store(PORT_READ(in_INSERT_OPERATION [i])))
-		  {
-                    log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * USE_STORE_QUEUE");
-                
-		    internal_INSERT_OPERATION_USE [i] = OPERATION_USE_STORE_QUEUE;
-		    
-		    ptr = STORE_QUEUE_PTR_WRITE [lsq];
-		    ack = not STORE_QUEUE_USE [lsq][ptr] and (static_cast<uint32_t>(STORE_QUEUE_NB_USE [lsq]+1) < _param->_size_store_queue[lsq]);
-
-                    if (ack)
-                      {
-                        STORE_QUEUE_PTR_WRITE [lsq]      = (ptr+1)%_param->_size_store_queue[lsq];
-                        STORE_QUEUE_NB_USE    [lsq]      ++;
-                        STORE_QUEUE_USE       [lsq][ptr] = true;
-                      }
-		  }
-		else
-		  {
-                    log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * USE_LOAD_QUEUE");
-
-		    internal_INSERT_OPERATION_USE [i] = OPERATION_USE_LOAD_QUEUE;
-		    
-		    ptr = LOAD_QUEUE_PTR_WRITE [lsq];
-		    ack = (not LOAD_QUEUE_USE [lsq][ptr]);
-
-                    if (ack)
-                      {
-                        LOAD_QUEUE_PTR_WRITE [lsq]      = (ptr+1)%_param->_size_load_queue[lsq];
-                        LOAD_QUEUE_USE       [lsq][ptr] = true;
-                      }
-		  }
-
-                log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * ptr          : %d",ptr         );
-                log_printf(TRACE,Load_Store_pointer_unit,FUNCTION,"    * ack          : %d",ack         );
-		
-		internal_INSERT_LSQ [i] = lsq;
-		internal_INSERT_PTR [i] = ptr;
-	      }
-	  }
-	else
-	  {
-	    ack = true;
-
-	    internal_INSERT_OPERATION_USE [i] = OPERATION_USE_NONE;
-	  }
 
 	// Write output
@@ -142,5 +149,4 @@
         for (uint32_t i=0; i<_param->_nb_inst_insert; i++)
           internal_INSERT_ACK [i] = 0;
-
       }
     
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/src/Register_translation_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/src/Register_translation_unit.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/Register_translation_unit/src/Register_translation_unit.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_printf(FUNC,Register_translation_unit,FUNCTION,"End");
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/src/Rename_unit.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/src/Rename_unit.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Rename_unit/src/Rename_unit.cpp	(revision 138)
@@ -72,5 +72,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -84,7 +84,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_end(Rename_unit,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/include/SPR.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/include/SPR.h	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Special_Register_unit/include/SPR.h	(revision 138)
@@ -449,4 +449,9 @@
   public : void   write (Tspr_t x) 
     {
+      // old flag 
+      Tspr_t   old_ov = ov;
+      Tspr_t   old_cy = cy;
+      Tspr_t   old_f  = f;
+      
       cid   = x >> 28;
       sumra = x >> 16;
@@ -466,4 +471,9 @@
       tee   = x >>  1;
       sm    = x >>  0;
+
+      if ((old_ov != ov) or
+          (old_cy != cy) or
+          (old_f  != f))
+        msgWarning(_("Flag OV, CY and F are renamed. You can't modify this flag with the instruction l.mtspr.\n"));
     };
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/include/Parameters.h	(revision 138)
@@ -53,4 +53,6 @@
   public : uint32_t              _size_re_order_buffer             ;
   public : uint32_t              _nb_re_order_buffer_bank          ;
+  public : commit_unit::Tretire_ooo_scheme_t
+                                 _retire_ooo_scheme                ;
   public : Tpriority_t           _commit_priority                  ;
   public : Tload_balancing_t     _commit_load_balancing            ;
@@ -66,6 +68,4 @@
     // Reexecute
   public : uint32_t              _size_reexecute_queue             ;
-  public : Tpriority_t           _reexecute_priority               ;
-  public : Tload_balancing_t     _reexecute_load_balancing         ;
     // Rename_unit
   public : Tpriority_t         * _rename_select_priority           ;//[nb_rename_unit]
@@ -150,4 +150,6 @@
                         uint32_t              size_re_order_buffer             ,
                         uint32_t              nb_re_order_buffer_bank          ,
+                        commit_unit::Tretire_ooo_scheme_t
+                                              retire_ooo_scheme                ,
                         Tpriority_t           commit_priority                  ,
                         Tload_balancing_t     commit_load_balancing            ,
@@ -163,6 +165,4 @@
                         // Reexecute
                         uint32_t              size_reexecute_queue             ,
-                        Tpriority_t           reexecute_priority               ,
-                        Tload_balancing_t     reexecute_load_balancing         ,
                         // Rename_unit
                         Tpriority_t         * rename_select_priority           ,//[nb_rename_unit]
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/OOO_Engine.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/OOO_Engine.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/OOO_Engine.cpp	(revision 138)
@@ -71,5 +71,5 @@
 #endif
 
-#ifdef SYSTEMC
+#if defined(SYSTEMC) and (defined(STATISTICS) or defined(VHDL_TESTBENCH))
     if (usage_is_set(_usage,USE_SYSTEMC))
       {
@@ -83,7 +83,6 @@
 	// List dependency information
 # endif    
-	
+      }
 #endif
-      }
     log_end(OOO_Engine,FUNCTION);
   };
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters.cpp	(revision 138)
@@ -40,4 +40,6 @@
                           uint32_t              size_re_order_buffer             ,
                           uint32_t              nb_re_order_buffer_bank          ,
+                          commit_unit::Tretire_ooo_scheme_t
+                                                retire_ooo_scheme                ,
                           Tpriority_t           commit_priority                  ,
                           Tload_balancing_t     commit_load_balancing            ,
@@ -53,6 +55,4 @@
                           // Reexecute
                           uint32_t              size_reexecute_queue             ,
-                          Tpriority_t           reexecute_priority               ,
-                          Tload_balancing_t     reexecute_load_balancing         ,
                           // Rename_unit
                           Tpriority_t         * rename_select_priority           ,//[nb_rename_unit]
@@ -100,4 +100,5 @@
     _size_re_order_buffer              = size_re_order_buffer             ;
     _nb_re_order_buffer_bank           = nb_re_order_buffer_bank          ;
+    _retire_ooo_scheme                 = retire_ooo_scheme                ;
     _commit_priority                   = commit_priority                  ;
     _commit_load_balancing             = commit_load_balancing            ;
@@ -110,6 +111,4 @@
 //     _table_issue_type                  = table_issue_type                 ;
     _size_reexecute_queue              = size_reexecute_queue             ;
-    _reexecute_priority                = reexecute_priority               ;
-    _reexecute_load_balancing          = reexecute_load_balancing         ;
     _rename_select_priority            = rename_select_priority           ;
     _rename_select_load_balancing      = rename_select_load_balancing     ;
@@ -256,4 +255,5 @@
        _size_re_order_buffer    ,
        _nb_re_order_buffer_bank ,
+       _retire_ooo_scheme       ,
        _nb_inst_insert          ,
        _nb_inst_retire          ,
@@ -268,6 +268,6 @@
         size_general_register   ,
         size_special_register   ,
-       _commit_priority         ,
-       _commit_load_balancing   ,
+       _issue_priority          ,
+       _issue_load_balancing    ,
        _nb_rename_unit_select   ,
        _nb_thread               ,
@@ -312,6 +312,6 @@
        _nb_inst_reexecute       ,
        _nb_execute_loop_select  ,
-       _reexecute_priority      ,
-       _reexecute_load_balancing,
+       _commit_priority         ,
+       _commit_load_balancing   ,
         size_general_register   ,//+_size_rename_id
         size_special_register   ,//+_size_rename_id
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters_print.cpp	(revision 137)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/src/Parameters_print.cpp	(revision 138)
@@ -65,6 +65,4 @@
 //  str+= toString(MSG_INFORMATION)+"   * table_issue_type                   ["+toString(i)+"]["+toString(j)+"] : "+toString<bool             >(_table_issue_type [i][j]          )+"\n";//[nb_inst_issue][nb_type]
     str+= toString(MSG_INFORMATION)+"   * size_reexecute_queue             : "+toString<uint32_t         >(_size_reexecute_queue             )+"\n";
-    str+= toString(MSG_INFORMATION)+"   * reexecute_priority               : "+toString<Tpriority_t      >(_reexecute_priority               )+"\n";
-    str+= toString(MSG_INFORMATION)+"   * reexecute_load_balancing         : "+toString<Tload_balancing_t>(_reexecute_load_balancing         )+"\n";
     for (uint32_t i=0; i<_nb_rename_unit; ++i)
     str+= toString(MSG_INFORMATION)+"   * rename_select_priority             ["+toString(i)+"] : "+toString<Tpriority_t      >(_rename_select_priority           [i])+"\n";//[nb_rename_unit]
